Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.sigfile
Class MultipleFileReader

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.FeaturesHolder
          com.sun.tdk.signaturetest.loaders.VirtualClassDescriptionLoader
              com.sun.tdk.signaturetest.sigfile.MultipleFileReader

All Implemented Interfaces:
  ClassDescriptionLoader

    public class MultipleFileReader

extends VirtualClassDescriptionLoader

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`FeaturesHolder.Feature`

Field Summary
`static int` | `CLASSPATH_MODE`
`static int` | `MERGE_MODE`

Fields inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`BuildMembers, ConstInfo, CopyRight, ListOfHiders, MergeModeSupported, NonStaticConstants, OuterClasses, TigerInfo, XHiders`

Constructor Summary
`MultipleFileReader(java.io.PrintWriter log, int mode, FileManager f)`

Method Summary
`void` | `close()`
`java.lang.String` | `getApiVersion()`
`ClassDescription` | `nextClass()`
`boolean` | `readSignatureFile(java.lang.String testURL, java.lang.String sigFileName)`
`boolean` | `readSignatureFiles(java.lang.String testURL, java.lang.String sigFileList)`
`void` | `rewind()`

Methods inherited from class com.sun.tdk.signaturetest.loaders.VirtualClassDescriptionLoader
`add, cleanUp, getClassIterator, load, remove, remove`

Methods inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`addSupportedFeature, getSupportedFeatures, isFeatureSupported, isInitialized, removeSupportedFeature, retainFeatures, setFeatures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASSPATH_MODE

    public static final int CLASSPATH_MODE

See Also:
  Constant Field Values

### MERGE_MODE

    public static final int MERGE_MODE

See Also:
  Constant Field Values

Constructor Detail

### MultipleFileReader

    public MultipleFileReader(java.io.PrintWriter log,
                              int mode,
                              FileManager f)

Method Detail

### readSignatureFiles

    public boolean readSignatureFiles(java.lang.String testURL,
                                      java.lang.String sigFileList)

### readSignatureFile

    public boolean readSignatureFile(java.lang.String testURL,
                                     java.lang.String sigFileName)

### close

    public void close()

### rewind

    public void rewind()

### nextClass

    public ClassDescription nextClass()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getApiVersion

    public java.lang.String getApiVersion()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD